Week 4 Discussion

 
Picture of Laendner Geoffrey
Week 4 Discussion
by Laendner Geoffrey - Friday, July 19, 2013, 11:39 AM
 

Moodle Online Discussion:  Read in HBR “Turning Great Strategy into Great performance” by Mankins. Answer ; Do you agree with his “7 Strategies”.? If so can you apply them to your own present or past organization?(4.0 hrs)

 
Picture of Marsden Mallory
Re: Week 4 Discussion
by Marsden Mallory - Tuesday, July 30, 2013, 12:35 PM
 

Yes, I agree with Michael Mankin’s seven rules for successful strategy. They are listed as follows:

  1. Keep it simple – Avoid drawn out descriptions of lofty goals. Instead clearly describe what your company will and won’t do.
  2. Challenge assumptions – Ensure that the assumptions underlying your long term strategic plans reflect real market economics and your organization’s actual performance relative to rivals.
  3. Speak the same language – Unit leaders and corporate strategy, marketing and finance teams must agree on common framework and be on the same page.
  4. Discuss resource deployments early – Challenge business units about when they will need new resources to execute their strategy.
  5. Identify priorities – Delivering planned performance requires a few key actions take at the right time, in the right way. Make the priorities clear.
  6. Continuously monitor performance – Track real time results against your plan, resetting as needed.
  7. Develop execution ability – No strategy can be better than the people who implement it. Make selection and development of managers a priority.

I think these seven rules can be applied to any situation or company; they can even be applied to fulfilling a goal that one has in their own life. I agree with the last one the most, everyone can make goals and set standards, but to have the right people to implement it and follow through is everything, without that, you essentially have nothing.

Picture of Franceschini Charles
Re: Week 4 Discussion
by Franceschini Charles - Thursday, August 8, 2013, 7:16 AM
 

I agree with Mallory, you can use these steps in planning your personal goals.  They are so simple all you need to do is apply them.  They can work in any situation.

 

Picture of Sparta Cathy
Re: Week 4 Discussion
by Sparta Cathy - Monday, August 12, 2013, 2:13 PM
 

i agree completely with Mallory, I think that you can really apply these 7 strategies to make any business successful.

Picture of Dominquez Ricardo
Re: Week 4 Discussion
by Dominquez Ricardo - Thursday, August 15, 2013, 9:43 PM
 

I have to agree with mallory and i also believe you can apply this to making our goals happen.

Picture of Franceschini Charles
Re: Week 4 Discussion
by Franceschini Charles - Wednesday, August 7, 2013, 2:39 PM
 

Yes, I agree with Michael Mankin.  These seven rules of successful strategy can be applied to our organization.  The bigger question is how we get the right people to read this? Unfortunately, they are not applying any of the seven.  The seven rules comes down to common sense….   

Picture of Whelan Sean
Re: Week 4 Discussion
by Whelan Sean - Wednesday, August 14, 2013, 2:11 PM
 

I agree with you Charlie, common sense plays a huge part in understanding and implementing these strategies.

Picture of Sparta Cathy
Re: Week 4 Discussion
by Sparta Cathy - Friday, August 9, 2013, 12:08 PM
 

I agree that Mankins 7 strategies can help any business be succesful.  I think they can be applied to other aspects of life also,.  I think our company should definitely apply them, I just dont think they ever will.

Picture of Duncan James
Re: Week 4 Discussion
by Duncan James - Monday, August 12, 2013, 1:13 PM
 

 Everyone is correct in stating these strategies can help an organization and this is one topic I can say we use daily in the operations center.  Every day operating the system is different from the last or the next so we are required to respond quickly to all situations but before responding you need to diagnose the issues.  we need to know our resources to keep the system running, we constantly monitor the state of the system and have plans for contingencies as they arise, some times more than one issue comes up so we need to identify the most important priorities, we are trained to speak easily with neighboring utilities as well as field personnel, when a problem is noticed we are taught to speak up even if you think you know the answer, and of course keep it simple to not complicate the issue. 

Picture of Masci Jeffrey
Re: Week 4 Discussion
by Masci Jeffrey - Wednesday, August 14, 2013, 10:57 AM
 

I Ann glad to hear that our company does use these strategies in your line of work Jim. I can almost guarantee that the department I am in uses maybe two of these stratigies at best to fulfill their plans and goals.  I especially like the strategy of challenging assumptions. When everyone speaks up and asks questions it helps to identify and correct unforeseen problems that may occur without others noticing and in our business that could be the difference between disaster and avoiding disaster.  Of course, you need people that know what they are looking at. 

Picture of Masci Jeffrey
Re: Week 4 Discussion
by Masci Jeffrey - Wednesday, August 14, 2013, 10:44 AM
 

I do agree that these seven strategies can be very effective if followed properly and used by compotent people in any organization.  They can definitely be applied to O and R and can be very useful.  Unfortunately, I don't think that upper management would embrace these seven strategies because they use the iron fist approach from the top down.  However, lower management personnel could use these strategies to communicate criteria and goals to other employees.  It's all about communication, adaptation, and execution and these strategies help to fulfill these needs. 

Picture of Crane Douglas
Re: Week 4 Discussion
by Crane Douglas - Wednesday, August 14, 2013, 12:50 PM
 

Very good Jeff, I sometimes think our department is split, sometimes we are together and sometimes not. You will always have problems when a supervisor tells you that he does not get paid to make decisions. 

Picture of Whelan Sean
Re: Week 4 Discussion
by Whelan Sean - Wednesday, August 14, 2013, 2:04 PM
 

Welcome Doug!!!!!

Picture of Dominquez Ricardo
Re: Week 4 Discussion
by Dominquez Ricardo - Thursday, August 15, 2013, 9:50 PM
 

I have to agree with jeff even if i'm not part of his department.

Picture of Whelan Sean
Re: Week 4 Discussion
by Whelan Sean - Wednesday, August 14, 2013, 2:09 PM
 

The seven rules of successful strategy can definitly be applied at O&R. Keeping it simple is a great strategy that should be implemented. Sometimes upper management is vague in their description and strategies toward meeting goals. Goals change often andwould be achieved better if they were layed out and descried bettewr in order for employees and departments to meet them. Also I think we can develope a better execution ability. I think picking the right people and developing them into better and stronger leaders will only bnefit and strengthen the organazation. People at the top need to lead by example and practice what they preach in order for others to learn and make use of what they are trying to implement.

Picture of Marsden Mallory
Re: Week 4 Discussion
by Marsden Mallory - Wednesday, August 14, 2013, 3:24 PM
 

I definitely agree with you on this topic Sean! The company needs a better execution plan and needs to start placing the people in right field in order to do so. Once they have that set in place, it will be easier for them to progress with the changing times and developing industry as well as being a better work place. Great points!

Picture of Dominquez Ricardo
Re: Week 4 Discussion
by Dominquez Ricardo - Thursday, August 15, 2013, 9:49 PM
 

I think Micheal's seven stratagy can be a great deal of help to everyone just in their day to day life. Lets start by his first rules of keep it simple, we tend as individuals to try and do to much and it gets us in trouble. Second rule i agree with was identifying our priorities. We seem to not be able to proply tell what are the most important priorities we have in life. And last speaking on the same language. I think once people can understand each other better we can become a better society for it.